Name:    plasma-integration
Summary: Qt Platform Theme integration plugin for Plasma
Version: 5.6.4
Release: 1%{?dist}

# KDE e.V. may determine that future LGPL versions are accepted
License: LGPLv2 or LGPLv3
URL:     https://quickgit.kde.org/?p=%{name}.git

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz

%global majmin_ver %(echo %{version} | cut -d. -f1,2)

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules

BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)

BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  pkgconfig(Qt5X11Extras)

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5WidgetsAddons)

BuildRequires:  cmake(KF5Wayland) >= %{majmin_ver}

Requires:       plasma-breeze >= %{majmin_ver}
Requires:       breeze-cursor-theme >= %{majmin_ver}
Requires:       breeze-icon-theme
%if 0%{?fedora} < 23
Requires:       kde-style-breeze >= %{majmin_ver}
%endif
Requires:       plasma-workspace >= %{majmin_ver}

%description
%{summary}.


%prep
%autosetup -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_flags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang plasmaintegration5 --with-qt


%files -f plasmaintegration5.lang
%doc README.md
%license COPYING.LIB COPYING.LGPL-2
%{_kf5_qtplugindir}/platformthemes/KDEPlasmaPlatformTheme.so


%changelog
* Sat May 14 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.4-1
- 5.6.4

* Tue Apr 19 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.3-1
- 5.6.3

* Thu Apr 14 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.2-2
- Requires: breeze-cursor-theme (move dep from breeze-icon-theme)

* Sat Apr 09 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.2-1
- 5.6.2

* Fri Apr 08 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.1-2
- Requires: kde-style-breeze (only on < f23, others handled via rich/soft deps)

* Fri Apr 08 2016 Rex Dieter <rdieter@fedoraproject.org> - 5.6.1-1
- 5.6.1

* Sun Mar 20 2016 Daniel Vrátil <dvratil@fedoraproject.org> - 5.6.0-1
- Plasma 5.6.0

* Sat Mar 05 2016 Daniel Vrátil <dvratil@fedoraproject.org> - 5.5.95-1
- Initial package
